/**
 * termynal.js
 *
 * @author Ines Montani <ines@ines.io>
 * @version 0.0.1
 * @license MIT
 */

[data-termynal] {

    --color-text       : #eee;
    --color-text-subtle: #a2a2a2;
}

[data-termynal] {
    width             : 100%;
    max-width         : 100%;
    border-radius     : 0 0 10px 10px;
    background        : #272822 radial-gradient(#64665b, #272822);
    background-repeat : no-repeat;
    color             : var(--color-text);
    font-size         : 18px;
    font-family       : 'Fira Mono', Consolas, Menlo, Monaco, 'Courier New', Courier, monospace;
    padding           : 75px 20px 35px;
    position          : relative;
    -webkit-box-sizing: border-box;
    box-sizing        : border-box;
    text-align        : left;

}



[data-termynal]:after {
    content   : 'bash';
    position  : absolute;
    color     : var(--color-text-subtle);
    top       : 5px;
    left      : 0;
    width     : 100%;
    text-align: center;
}

[data-ty] {
    display    : block;
    line-height: 2;
}

[data-ty]:before {
    /* Set up defaults and ensure empty lines are displayed. */
    content       : '';
    display       : inline-block;
    vertical-align: middle;
}

[data-ty="input"]:before,
[data-ty-prompt]:before {
    margin-right: 0.75em;
    color       : var(--color-text-subtle);
}

[data-ty="input"]:before {
    content: '$';
}

[data-ty][data-ty-prompt]:before {
    content: attr(data-ty-prompt);
}

[data-ty-cursor]:after {
    content          : attr(data-ty-cursor);
    font-family      : Consolas, monospace;
    margin-left      : 0.5em;
    -webkit-animation: blink 1s infinite;
    animation        : blink 1s infinite;
}


/* Cursor animation */

@-webkit-keyframes blink {


    50% {
        opacity: 0;
    }


}


@keyframes blink {

    50% {
        opacity: 0;
    }


}